LEED Brakes » LEED Brakes
Browse Front Disc Brake Conversion Kits Products
Ford Mustang
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Improve the stopping and appearance of your 1964-67 Ford Mustang Factory D11 Calipers by upgrading to our MaxGrip Lite 4 Piston aluminum calipers & MaxGrip XDS Drilled & Slotted Rotors! The MaxGrip...More Details »
Item #: CC0005RKX
Condition:
New
Price: $1,185.99
Ford Mustang
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964-67 Ford Mustang with LEED Brakes MaxGrip Lite 4-Piston Aluminum Calipers and MaxGrip XDS Drilled & Slotted Rotors. Designed as a direct bolt-on replacement for factory D11 front...More Details »
Item #: RCC0005RKX
Condition:
New
Price: $1,239.99
Ford Mustang
This part qualifies for $75 Mail In Rebate
Click here for more details.
Description: Improve the stopping and appearance of your 1964-67 Ford Mustang Factory D11 Calipers by upgrading to our MaxGrip Lite 4 Piston aluminum calipers! The MaxGrip Lite 4 Piston aluminum calipers are a...More Details »
Item #: CC0005
Condition:
New
Price: $899.99
Ford Mustang
This part qualifies for $75 Mail In Rebate
Click here for more details.
Description: Improve the stopping and appearance of your 1964-67 Ford Mustang Factory D11 Calipers by upgrading to our MaxGrip Lite 4 Piston aluminum calipers! The MaxGrip Lite 4 Piston aluminum calipers are a...More Details »
Item #: BCC0005
Condition:
New
Price: $974.99
Ford Mustang
This part qualifies for $75 Mail In Rebate
Click here for more details.
Description: Improve the stopping and appearance of your 1964-67 Ford Mustang Factory D11 Calipers by upgrading to LEED Brakes' MaxGrip Lite 4 Piston aluminum brake calipers! These MaxGrip Lite 4 Piston...More Details »
Item #: RCC0005
Condition:
New
Price: $974.99
GM AFX
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your classic GM AFX-Body vehicle with a high-performance LEED Brakes Front Disc Brake Conversion Kit . This premium front caliper and rotor kit is engineered to deliver improved stopping...More Details »
Item #: CC1008RKX
Condition:
New
Price: $1,499.95
GM AFX
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX-Body with the LEED Brakes MaxGrip Lite Front Disc Brake Kit, engineered to deliver exceptional stopping power, improved brake pedal feel, and long-lasting reliability. This...More Details »
Item #: BCC1008RKX
Condition:
New
Price: $1,599.95
GM AFX
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Introducing LEED Brakes' premium front caliper & rotor kit, engineered to deliver a significant boost in stopping performance and reliability for your vehicle. This comprehensive kit provides...More Details »
Item #: RCC1008RKX
Condition:
New
Price: $1,599.95
GM AFX
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your vehicle's braking performance with the LEED Brakes premium front caliper kit. Designed as a direct bolt-on upgrade, this kit delivers improved stopping power, reliability, and...More Details »
Item #: CC1008
Condition:
New
Price: $1,299.95
GM AFX
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Introducing our premium front caliper kit, engineered to deliver a significant boost in stopping performance and reliability for your vehicle. This comprehensive kit provides everything you need...More Details »
Item #: BCC1008
Condition:
New
Price: $1,399.95
GM AFX
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your vehicle's braking performance with the LEED Brakes MaxGrip Lite 4-Piston Front Caliper Kit. Engineered for improved stopping power, reliability, and durability, this complete front...More Details »
Item #: RCC1008
Condition:
New
Price: $1,399.95
GM AFX
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Introducing our premium front disc brake conversion kit, engineered to deliver a significant boost in stopping performance and reliability for your vehicle. This comprehensive kit provides...More Details »
Item #: FC1009SMX
Condition:
New
Price: $1,799.95
GM AFX
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Introducing our premium front disc brake conversion kit, engineered to deliver a significant boost in stopping performance and reliability for your vehicle. This comprehensive kit provides...More Details »
Item #: BFC1009SMX
Condition:
New
Price: $1,899.95
GM AFX
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Introducing our premium front disc brake conversion kit, engineered to deliver a significant boost in stopping performance and reliability for your vehicle. This comprehensive kit provides...More Details »
Item #: RFC1009SMX
Condition:
New
Price: $1,899.95
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic full-size Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with factory power brakes....More Details »
Item #: BFC0026-405PX
Condition:
New
Price: $2,074.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1960-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with factory...More Details »
Item #: FC0026-405PX
Condition:
New
Price: $1,999.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic full-size Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with factory power brakes....More Details »
Item #: RFC0026-405PX
Condition:
New
Price: $2,074.99
Ford Mustang, D11 Caliper, MaxGrip Lite 4 Piston
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Ford or Mercury with a front disc brake conversion kit from LEED Brakes. This spindle-mount disc brake conversion kit includes everything needed to mount USA-made MaxGrip Lite...More Details »
Item #: BFC0005SMX
Condition:
New
Price: $1,699.99
Ford Mustang, D11 Caliper, MaxGrip Lite 4 Piston
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Ford or Mercury with a front disc brake conversion kit from LEED Brakes. This 1963-1969 Ford and Mercury disc brake conversion kit includes everything needed to mount USA-made...More Details »
Item #: RFC0005SMX
Condition:
New
Price: $1,699.99
Ford Mustang, D11 Caliper, MaxGrip Lite 4 Piston
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964.5-1966 Ford Mustang with a manual front disc brake conversion kit from LEED Brakes. This Mustang front disc brake conversion kit includes everything needed to mount USA-made...More Details »
Item #: RFC0005-405X
Condition:
New
Price: $1,799.99
Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes. Designed to convert factory front drum brakes to disc brakes, this...More Details »
Item #: RFC2004SMX
Condition:
New
Price: $1,825.99
Ford Mustang, D11 Caliper, MaxGrip Lite 4 Piston
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964.5-1966 Ford Mustang with a manual front disc brake conversion kit from LEED Brakes. This Mustang front disc brake conversion kit includes everything needed to mount USA-made...More Details »
Item #: BFC0005-405X
Condition:
New
Price: $1,799.99
Ford Mustang
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes. Designed for select 1970-1973 Ford and Mercury vehicles, including the Ford...More Details »
Item #: BFC0006SMX
Condition:
New
Price: $1,699.99
Ford Mustang
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes. Designed for select 1970-1973 Ford and Mercury vehicles, including the Ford...More Details »
Item #: RFC0006SMX
Condition:
New
Price: $1,699.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Front Disc Brake Conversion Kit (Spindle Mount) for Mopar C-Body vehicles. This...More Details »
Item #: FC2006SMX
Condition:
New
Price: $1,704.99
Ford Falcon, Ford Fairlane, Ford Ranchero, Mercury Comet, Mercury Cyclone
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes. Designed for select 1962-1969 Ford and Mercury vehicles, this drum-to-disc brake...More Details »
Item #: BFC0005-4C7X
Condition:
New
Price: $1,799.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1957-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. Designed for vehicles equipped with factory front drum...More Details »
Item #: BFC0026-405X
Condition:
New
Price: $2,074.99
Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description:
Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. Designed to convert factory manual front drum brakes to manual...More Details »
Item #: BFC2004-C05X
Condition:
New
Price: $2,084.99
Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. Designed to convert factory manual front drum brakes to manual...More Details »
Item #: RFC2004-C05X
Condition:
New
Price: $2,084.99
Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. Designed to convert factory manual front drum brakes to manual...More Details »
Item #: FC2004-C05X
Condition:
New
Price: $1,984.99
Ford Mustang
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Ford or Mercury with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. Designed for select 1971-1973 Ford and Mercury vehicles, including the...More Details »
Item #: BFC0008-405X
Condition:
New
Price: $1,799.99
Ford Mustang
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1971-1973 Ford Mustang with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. This drum-to-disc brake conversion kit includes everything needed to mount...More Details »
Item #: RFC0008-405X
Condition:
New
Price: $1,799.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Stop with confidence: Upgrade your classic Ford with the LEED Brakes MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit, designed for factory drum brake spindles.
Experience the...More Details »
Item #: FC0026-405X
Condition:
New
Price: $1,999.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Stop with confidence: Upgrade your classic Ford with the LEED Brakes MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit for Ford Full-Size, featuring bold red aluminum calipers and...More Details »
Item #: RFC0026-405X
Condition:
New
Price: $2,074.99
Mopar, Dodge, Plymouth, B & E Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with this manual drum-to-disc brake conversion kit for Mopar B & E-Body applications. This kit includes everything needed...More Details »
Item #: FC2005-C05X
Condition:
New
Price: $1,894.99
Ford Mustang, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1967-1969 Ford Mustang with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed for vehicles with manual transmissions. This drum-to-power-disc...More Details »
Item #: BFC0006-X405MX
Condition:
New
Price: $2,099.99
Ford Mustang, Automatic Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964-1966 Ford Mustang with a power front disc brake conversion kit from LEED Brakes. This Mustang drum-to-power-disc brake conversion kit includes everything needed to mount USA-made...More Details »
Item #: BFC0005-H405AX
Condition:
New
Price: $1,999.99
Ford Mustang, D11 Caliper, MaxGrip Lite 4 Piston, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964.5-1966 Ford Mustang with a power front disc brake conversion kit from LEED Brakes, designed for vehicles with factory manual transmissions. This MaxGrip Lite 4-piston...More Details »
Item #: BFC0005-H405MX
Condition:
New
Price: $1,999.99
Ford Mustang
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1971-1973 Ford Mustang or Mercury Cougar with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. This drum-to-power-disc brake conversion kit includes...More Details »
Item #: BFC0008-W405X
Condition:
New
Price: $1,999.99
Ford Mustang
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1971-1973 Ford Mustang with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. This drum-to-power-disc brake conversion kit includes everything needed to...More Details »
Item #: RFC0008-W405X
Condition:
New
Price: $1,999.99
Ford Mustang, D11 Caliper, MaxGrip Lite 4 Piston, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964.5-1966 Ford Mustang with a power front disc brake conversion kit from LEED Brakes, designed for vehicles with factory manual transmissions. This MaxGrip Lite 4-piston...More Details »
Item #: RFC0005-H405MX
Condition:
New
Price: $1,999.99
Ford Mustang, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1967-1969 Ford Mustang with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed for vehicles with manual transmissions. This drum-to-power-disc...More Details »
Item #: RFC0006-X405MX
Condition:
New
Price: $2,099.99
Ford Mustang, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1970 Ford Mustang or Mercury Cougar with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed for vehicles with manual transmissions. This...More Details »
Item #: BFC0007-X405MX
Condition:
New
Price: $2,099.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1957-1962 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with...More Details »
Item #: FC0026-Y307X
Condition:
New
Price: $2,124.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1964-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed specifically to convert vehicles originally...More Details »
Item #: FC0026-P307X
Condition:
New
Price: $2,074.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1964-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed specifically to convert vehicles originally...More Details »
Item #: RFC0026-P307X
Condition:
New
Price: $2,149.99
Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed to convert factory manual drum brakes to power front disc...More Details »
Item #: BFC2004-8405X
Condition:
New
Price: $2,212.99
Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed to convert factory manual drum brakes to power front disc...More Details »
Item #: RFC2004-8405X
Condition:
New
Price: $2,212.99
Ford Mustang, Automatic Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1967-1969 Ford Mustang with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. This drum-to-power-disc brake conversion kit includes everything needed to...More Details »
Item #: BFC0006-3405AX
Condition:
New
Price: $2,099.99
Ford Mustang, Automatic Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1967-1969 Ford Mustang with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. This drum-to-power-disc brake conversion kit includes everything needed to...More Details »
Item #: RFC0006-3405AX
Condition:
New
Price: $2,099.99
Ford Mustang, Automatic Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1970 Ford Mustang or Mercury Cougar with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed for vehicles with automatic transmissions. This...More Details »
Item #: BFC0007-3405AX
Condition:
New
Price: $2,099.99
Ford Mustang, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1970 Ford Mustang or Mercury Cougar with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed for vehicles with manual transmissions. This...More Details »
Item #: RFC0007-X405MX
Condition:
New
Price: $2,099.99
Ford Mustang, Automatic Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1970 Ford Mustang with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed for vehicles with automatic transmissions. This drum-to-power-disc brake...More Details »
Item #: RFC0007-3405AX
Condition:
New
Price: $2,099.99
Ford Mustang
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1971-1973 Ford Mustang or Mercury Cougar with a power front disc brake conversion kit from LEED Brakes. This drum-to-disc brake conversion kit provides the safety, reliability, and...More Details »
Item #: FC0008-W405X
Condition:
New
Price: $1,924.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1957-1962 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with...More Details »
Item #: BFC0026-Y307X
Condition:
New
Price: $2,199.99
Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed to convert factory manual drum brakes to power front disc...More Details »
Item #: FC2004-8405X
Condition:
New
Price: $2,114.99
Ford Mustang, Automatic Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964.5-1966 Ford Mustang with a power front disc brake conversion kit from LEED Brakes. This Mustang drum-to-power-disc brake conversion kit includes everything needed to mount...More Details »
Item #: RFC0005-H405AX
Condition:
New
Price: $1,999.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1965-1972 Mopar C-Body with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed specifically for vehicles originally equipped with factory...More Details »
Item #: FC2006-P405X
Condition:
New
Price: $2,024.99
Mopar, Dodge, Plymouth, B Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your factory power drum brake vehicle with our drum to disc brake conversion kit featuring MaxGrip Lite 4 Piston Aluminum Calipers. In...More Details »
Item #: FC2005-C05PX
Condition:
New
Price: $1,874.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of MaxGrip Lite 4-Piston disc brakes to your factory power drum brake vehicle with LEED Brakes’ drum-to-disc brake conversion kit. This Mopar C-Body...More Details »
Item #: FC2006-C05PX
Condition:
New
Price: $1,874.99